Upstream information

CVE-2014-9654 at MITRE

Description

The Regular Expressions package in International Components for Unicode (ICU) for C/C++ before 2014-12-03, as used in Google Chrome before 40.0.2214.91, calculates certain values without ensuring that they can be represented in a 24-bit field, which allows remote attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via a crafted string, a related issue to CVE-2014-7923.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 917129 [RESOLVED / FIXED], 929629 [RESOLVED / FIXED], 952260 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-EC2-HVM-BYOS
Image SLES12-SP4-GCE-BYOS
Image SLES12-SP4-OCI-BYOS
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-BYOS
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
SUSE Linux Enterprise Desktop 11 SP3
  • icu >= 4.0-7.28.1
  • libicu >= 4.0-7.28.1
  • libicu-32bit >= 4.0-7.28.1
  • libicu-devel >= 4.0-7.28.1
  • libicu-devel-32bit >= 4.0-7.28.1
Patchnames:
sdksp3-icu
sledsp3-icu
SUSE Linux Enterprise Desktop 11 SP4
  • icu >= 4.0-38.1
  • icu >= 4.0-7.30.2
  • libicu >= 4.0-7.30.2
  • libicu-32bit >= 4.0-38.1
  • libicu-devel >= 4.0-38.1
  • libicu-devel-32bit >= 4.0-38.1
Patchnames:
sdksp4-icu-12151
sdksp4-icu-12513
sledsp4-icu-12151
SUSE Linux Enterprise Desktop 12 SP1
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA icu-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP1 GA icu-52.1-7.1
SUSE Linux Enterprise Desktop 12 SP2
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA icu-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP2 GA icu-52.1-7.1
SUSE Linux Enterprise Desktop 12 SP3
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA icu-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP3 GA icu-52.1-7.1
SUSE Linux Enterprise Desktop 12 SP4
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA icu-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA icu-52.1-8.7.1
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • icu >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA icu-52.1-8.7.1
SUSE Linux Enterprise Desktop 12
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-110
SUSE-SLE-SDK-12-2015-110
SUSE-SLE-WE-12-2015-110
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libicu-doc-52.1-8.7.1
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • icu >= 4.0-7.28.1
  • libicu >= 4.0-7.28.1
  • libicu-32bit >= 4.0-7.28.1
  • libicu-devel >= 4.0-7.28.1
  • libicu-devel-32bit >= 4.0-7.28.1
  • libicu-doc >= 4.0-7.28.1
  • libicu-x86 >= 4.0-7.28.1
Patchnames:
sdksp3-icu
slessp3-icu
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • icu >= 4.0-38.1
  • libicu >= 4.0-38.1
  • libicu-32bit >= 4.0-38.1
  • libicu-devel >= 4.0-38.1
  • libicu-devel-32bit >= 4.0-38.1
  • libicu-doc >= 4.0-38.1
  • libicu-x86 >= 4.0-38.1
Patchnames:
sdksp4-icu-12151
sdksp4-icu-12513
slessp4-icu-12151
slessp4-icu-12513
SUSE Linux Enterprise Server 12 SP1
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu-doc >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libicu-doc-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP1 GA icu-52.1-7.1
SUSE Linux Enterprise Server 12 SP2
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu-doc >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libicu-doc-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP2 GA icu-52.1-7.1
SUSE Linux Enterprise Server 12 SP3
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu-doc >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libicu-doc-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP3 GA icu-52.1-7.1
SUSE Linux Enterprise Server 12 SP4
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libicu-doc-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA icu-52.1-8.7.1
SUSE Linux Enterprise Server 12 SP5
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libicu-doc-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA icu-52.1-8.7.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
  • libicu-doc >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-32bit >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-110
SUSE-SLE-SERVER-12-2015-110
SUSE-SLE-WE-12-2015-110
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libicu-doc >= 52.1-7.1
  • libicu52_1 >= 52.1-7.1
  • libicu52_1-data >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libicu-doc-52.1-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP1 GA icu-52.1-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP2 GA icu-52.1-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • icu >= 52.1-7.1
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP3 GA icu-52.1-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA icu-52.1-8.7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA icu-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • icu >= 4.0-7.28.1
  • libicu-32bit >= 4.0-7.28.1
  • libicu-devel >= 4.0-7.28.1
  • libicu-devel-32bit >= 4.0-7.28.1
Patchnames:
sdksp3-icu
SUSE Linux Enterprise Software Development Kit 11 SP4
  • icu >= 4.0-38.1
  • libicu-32bit >= 4.0-38.1
  • libicu-devel >= 4.0-38.1
  • libicu-devel-32bit >= 4.0-38.1
Patchnames:
sdksp4-icu-12151
sdksp4-icu-12513
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libicu-devel-52.1-7.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libicu-devel >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libicu-devel >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libicu-devel-52.1-8.7.1
SUSE Linux Enterprise Software Development Kit 12
  • libicu-devel >= 52.1-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-110
SUSE Linux Enterprise Workstation Extension 12 SP1
  • icu >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA icu-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP2
  • icu >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA icu-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP3
  • icu >= 52.1-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA icu-52.1-7.1
SUSE Linux Enterprise Workstation Extension 12 SP4
  • icu >= 52.1-8.7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA icu-52.1-8.7.1
SUSE Linux Enterprise Workstation Extension 12
  • icu >= 52.1-7.1
Patchnames:
SUSE-SLE-WE-12-2015-110


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications icu Released
SUSE Linux Enterprise Desktop 11 SP1 icu Released
SUSE Linux Enterprise Desktop 11 SP2 icu Released
SUSE Linux Enterprise Desktop 11 SP3 icu Released
SUSE Linux Enterprise Desktop 11 SP4 icu Released
SUSE Linux Enterprise Desktop 12 icu Released
SUSE Linux Enterprise Desktop 12 SP1 icu Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search icu Released
SUSE Linux Enterprise Point of Service 11 SP3 icu Released
SUSE Linux Enterprise Server 11 SP1 icu Released
SUSE Linux Enterprise Server 11 SP1 LTSS icu Released
SUSE Linux Enterprise Server 11 SP2 icu Released
SUSE Linux Enterprise Server 11 SP2 LTSS icu Released
SUSE Linux Enterprise Server 11 SP2 for VMware icu Released
SUSE Linux Enterprise Server 11 SP3 icu Released
SUSE Linux Enterprise Server 11 SP3 LTSS icu Released
SUSE Linux Enterprise Server 11 SP3 for VMware icu Released
SUSE Linux Enterprise Server 11 SP4 icu Released
SUSE Linux Enterprise Server 11 SP4 LTSS icu Released
SUSE Linux Enterprise Server 12 icu Released
SUSE Linux Enterprise Server for SAP Applications 11 SP1 icu Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 icu Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 icu Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 icu Released
SUSE Linux Enterprise Server for SAP Applications 12 icu Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 icu Released
SUSE Linux Enterprise Software Development Kit 11 SP1 icu Released
SUSE Linux Enterprise Software Development Kit 11 SP2 icu Released
SUSE Linux Enterprise Software Development Kit 11 SP3 icu Released
SUSE Linux Enterprise Software Development Kit 11 SP4 icu Released
SUSE Linux Enterprise Software Development Kit 12 icu Released
SUSE Linux Enterprise Workstation Extension 12 icu Released